5250 bridge request error: PHP Toolkit for i5/OS is not loa

General discussion on Zend Server for IBM System i
Post Reply
paul8693
Posts: 2
Joined: Tue Mar 05, 2013 8:56 pm

5250 bridge request error: PHP Toolkit for i5/OS is not loa

Post by paul8693 » Mon Mar 11, 2013 10:54 pm

PHP Toolkit for i5/OS is not loaded

When I try to run the Zend 5250 Emulator demo I get a signin page and enter my userid and password for the IBM i. When I press submit I get the following page: (partial page copied in)

Code: Select all

An error occured during 5250 bridge request:
PHP Toolkit for i5/OS is not loaded

To try again please click here

object(Zend_5250_Exception)#37 (7) {
  ["message":protected]=>
  string(35) "PHP Toolkit for i5/OS is not loaded"
  ["string":"Exception":private]=>
  string(0) ""
  ["code":protected]=>
  int(0)
  ["file":protected]=>
  string(51) "/usr/local/zendsvr/5250/API/Zend/5250/I5Wrapper.php"
  ["line":protected]=>
  int(43)
  ["trace":"Exception":private]=>
  array(7) {
    [0]=>
    array(6) {
      ["file"]=>
      string(48) "/usr/local/zendsvr/5250/API/Zend/5250/Config.php"
      ["line"]=>
      int(35)
      ["function"]=>
      string(11) "__construct"
      ["class"]=>
      string(19) "Zend_5250_I5Wrapper"
      ["type"]=>
      string(2) "->"
      ["args"]=>
      array(0) {
      }
    }
    [1]=>
    array(6) {
      ["file"]=>
      string(41) "/usr/local/zendsvr/5250/API/Zend/5250.php"
      ["line"]=>
      int(66)
      ["function"]=>
      string(11) "getInstance"
      ["class"]=>
      string(16) "Zend_5250_Config"
      ["type"]=>
      string(2) "::"
      ["args"]=>
      array(0) {
      }
    }
...
I have loaded the Zend Server for IBM i, and the Hotfix 10, then XML Toolkit for IBM i Update 12.12
I have also downloaded the XMLSERVICE from YIPS and I am able to execute all of those demo applications.

What have I missed?

Thanks in advance,
Paul

paul8693
Posts: 2
Joined: Tue Mar 05, 2013 8:56 pm

Re: 5250 bridge request error: PHP Toolkit for i5/OS is not

Post by paul8693 » Thu Jun 13, 2013 5:11 pm

Adding this note to see if I can trigger any replies to my post.
Have I not posted my question correctly?

kent_zacharias
Posts: 22
Joined: Mon May 09, 2011 8:05 pm

Re: 5250 bridge request error: PHP Toolkit for i5/OS is not

Post by kent_zacharias » Thu Jun 13, 2013 6:17 pm

Hi Paul:

Use work active job command WRKACTJOB and verify subsystem ZENDSVR is running I5_COMD.

This is how subsystem ZENDSVR appears upon my system and 5250 bridge runs OK.

ZENDSVR QSYS SBS .0 DEQW
I5_COMD QTCP BCH .0 PGM-EASYCOMD TIMW
ZSJAVA_BRG QTMHHTTP BCI .0 PGM-watchdog THDW
ZSJAVA_BRG QTMHHTTP BCI .0 JVM-com.zend.j SELW
ZSJOBQMNG QTMHHTTP BCI .0 PGM-watchdog THDW
ZSJOBQMNG QTMHHTTP BCI .0 PGM-jqd SELW
ZSMONMNG QTMHHTTP BCI .0 PGM-watchdog THDW
ZSMONMNG QTMHHTTP BCI .0 PGM-MonitorNod SELW

To test the 5250 bridge, I followed these directions: http://www.alanseiden.com/category/it/php/zend-server/ to remove the I5 toolkit.
Once the Easycom component was removed then I5_COMD did not display in ZENDSVR subsystem. And, I got the "PHP Toolkit for i5/OS not loaded" error that you have indicated.

Verify that the XMLtool kit is a complete substitute for the Easycom 5250 bridge component. Perhaps someone else can offer another suggestion?

Post Reply